org.apache.ignite.igfs

## Interface IgfsBlockLocation

All Known Implementing Classes:
  IgfsBlockLocationImpl

    public interface IgfsBlockLocation

`IGFS` file's data block location in the grid. It is used to determine node affinity of a certain file block within the Grid by calling `IgniteFileSystem.affinity(IgfsPath, long, long)` method.

### Method Summary

All Methods Instance Methods Abstract Methods
`Collection<String>` `hosts()` Compliant with Hadoop interface.
`long` `length()` Length of the data block in the file.
`Collection<String>` `names()` Compliant with Hadoop interface.
`Collection<UUID>` `nodeIds()` Nodes this block belongs to.
`long` `start()` Start position in the file this block relates to.

### Method Detail

#### start

    long start()

Start position in the file this block relates to.

Returns:
  Start position in the file this block relates to.

#### length

    long length()

Length of the data block in the file.

Returns:
  Length of the data block in the file.

#### nodeIds

    Collection<UUID> nodeIds()

Nodes this block belongs to. First node id in collection is primary node id.

Returns:
  Nodes this block belongs to.

#### names

    Collection<String> names()

Compliant with Hadoop interface.

Returns:
  Collection of host:port addresses.

#### hosts

    Collection<String> hosts()

Compliant with Hadoop interface.

Returns:
  Collection of host names.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020